#pragma once

#include <BellowsPosition_Interface.hpp>

class BellowsPositionSpy : public BellowsPosition
{
  public:
	BellowsPositionSpy(std::string id, const float lowLim_mm, const float highLim_mm);

	BError start();
	BError stop();
	BError sleep();

	BError getPosition_pctFull(float& percentOfFull);

	void logEngFileHeader();

	void setPositionPercent(float percentOfFull);

  private:
	float fakePercentOfFullValue_;
};